Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableTextDecoration Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextDecoration:
[legend]
Collaboration diagram for Magick::DrawableTextDecoration:
[legend]

## Public Member Functions
| DrawableTextDecoration (DecorationType decoration_)
| DrawableTextDecoration (const DrawableTextDecoration &original_)
| ~DrawableTextDecoration (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | decoration (DecorationType decoration_)
DecorationType | decoration (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2014 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableTextDecoration::DrawableTextDecoration | ( | Magick::DecorationType | decoration_ | ) |

Definition at line 1354 of file Drawable.cpp.

Magick::DrawableTextDecoration::DrawableTextDecoration | ( | const DrawableTextDecoration & | original_ | ) |

Definition at line 1359 of file Drawable.cpp.

Magick::DrawableTextDecoration::~DrawableTextDecoration | ( | void |  | ) |

Definition at line 1364 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableTextDecoration::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1372 of file Drawable.cpp.

void Magick::DrawableTextDecoration::decoration | ( | DecorationType | decoration_ | ) |
| inline

Definition at line 2029 of file Drawable.h.

DecorationType Magick::DrawableTextDecoration::decoration | ( | void |  | ) | const
| inline

Definition at line 2033 of file Drawable.h.

void Magick::DrawableTextDecoration::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 1368 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp